from enum import Enum

class Version(Enum):
    V1 = ("AES", 256, "CBC", "PKCS7Padding", "PBKDF2WithHmacSHA1", 20000)

    def __init__(self, algorithm, bits, mode, padding, key_derivation_algorithm, iterations):
        self.algorithm = algorithm
        self.bits = bits
        self.mode = mode
        self.padding = padding
        self.key_derivation_algorithm = key_derivation_algorithm
        self.iterations = iterations

    @classmethod
    def latest_version(self):
        return self.V1
